local emptWorld = {}


function mapLoader(map)
	for i = 1, love.graphics.getHeight() / 16 do
		map[i] = {}
		for j = 1, love.graphics.getWidth() / 16 do
			local number = love.math.random(1, 2)
			if number == 1 then
				map[i][j] = 0
			else
				map[i][j] = 1
			end
		end
	end
	-- makes more space for player to get through
	for a = 1, #map do
		for b = 1, #map[a] do
			local rand = love.math.random(1,3)
			if rand == 1 then
				if map[a][b] == 1 then
					map[a][b] = 0
				end
			end
		end
	end
	return map
end

function love.load()
	Map = mapLoader(emptWorld)
end

function love.draw()
	for i = 1, #Map do
		for j = 1, #Map[i] do
			if Map[i][j] == 0 then
				love.graphics.rectangle("fill", (j * 16) - 16, (i * 16) - 16, 16, 16)
			end
		end
	end
end